summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authordkhandel <dkhandel@localhost.localdomain>2018-06-07 15:03:58 +0530
committerdkhandel <dkhandel@localhost.localdomain>2018-06-07 15:03:58 +0530
commit22200342f8e2a248c1aaa233f3a97e2dfae0a258 (patch)
tree544f37ffdb6c12034d11c32d53b4779b9fafa0cd
parent51d0e36ae7c283dc8abae617f2d65dea7e7e2c2a (diff)
Copy the failed tests logs to ci-logs.gluster.org
Change-Id: I223cd7f3c93a050337b7f3279f56693ec22ee5a5
-rw-r--r--build-gluster-org/jobs/distributed-regression.yml3
-rw-r--r--build-gluster-org/scripts/distributed-regression.sh5
2 files changed, 6 insertions, 2 deletions
diff --git a/build-gluster-org/jobs/distributed-regression.yml b/build-gluster-org/jobs/distributed-regression.yml
index b56b8d9..0be8857 100644
--- a/build-gluster-org/jobs/distributed-regression.yml
+++ b/build-gluster-org/jobs/distributed-regression.yml
@@ -48,3 +48,6 @@
credential-id: e423d7f9-edaf-45ea-aa8f-9c3f8e6563f1
username: USERNAME
password: PASSWORD
+ - file:
+ credential-id: http_int_credential
+ variable: LOG_KEY
diff --git a/build-gluster-org/scripts/distributed-regression.sh b/build-gluster-org/scripts/distributed-regression.sh
index 12f3396..00fd1ae 100644
--- a/build-gluster-org/scripts/distributed-regression.sh
+++ b/build-gluster-org/scripts/distributed-regression.sh
@@ -1,7 +1,6 @@
#!/bin/sh
MAX_ATTEMPTS=3
-set -e
# create and activate virtual env
virtualenv env
@@ -29,7 +28,9 @@ done
ret=$?
if [ $ret -eq 0 ]; then
# Create tar file from all the failed test log files generated in /tmp
- tar -czf $WORKSPACE/failed-test-logs.tgz /tmp/*.log
+ tar -czf $WORKSPACE/failed-tests-logs.tgz /tmp/*.log
+ scp -o "UserKnownHostsFile=/dev/null" -o "StrictHostKeyChecking=no" -i $LOG_KEY failed-tests-logs.tgz "_logs-collector@http.int.rht.gluster.org:/var/www/glusterfs-logs/$JOB_NAME-logs-$BUILD_ID.tgz" || true;
+ echo "Failed tests logs stored in https://ci-logs.gluster.org/$JOB_NAME-logs-$BUILD_ID.tgz"
# if test runs are successful, delete all the machines
/opt/qa/distributed-tests/rackspace-server-manager.py delete